globus_i_ftp_client_plugin_t(3)

NAME
globus_i_ftp_client_plugin_t - FTP Client Plugin.

SYNOPSIS

#include <globus_i_ftp_client.h>

  Data Fields

char * plugin_name
globus_ftp_client_plugin_t * plugin
globus_ftp_client_plugin_copy_t copy_func
globus_ftp_client_plugin_destroy_t destroy_func
globus_ftp_client_plugin_command_mask_t command_mask
void * plugin_specific

Detailed Description

FTP Client Plugin.

Each plugin implementation should define a method for initializing one of these structures. Plugins may be implemented as either a static function table, or a specialized plugin with plugin-specific attributes.

Each plugin function may be either GLOBUS_NULL, or a valid function pointer. If the function is GLOBUS_NULL, then the plugin will not be notified when the corresponding event happens.

Field Documentation

  globus_ftp_client_plugin_command_mask_t globus_i_ftp_client_plugin_t::command_mask
Command Mask

The bits set in this mask determine which command responses the plugin is interested in. The command_mask should be a bitwise-or of the values in the globus_ftp_client_plugin_command_mask_t enumeration.

  globus_ftp_client_plugin_copy_t globus_i_ftp_client_plugin_t::copy_func
Plugin function pointers.

  globus_ftp_client_plugin_destroy_t globus_i_ftp_client_plugin_t::destroy_func
Plugin function pointers.

  globus_ftp_client_plugin_t* globus_i_ftp_client_plugin_t::plugin
The value the user/plugin implementation passed into the plugin handling parts of the API.

  char* globus_i_ftp_client_plugin_t::plugin_name
Plugin name.

The plugin name is used by the FTP Client library to detect multiple instances of the same plugin being associated with a globus_ftp_client_handleattr_t or globus_ftp_client_handle_t.

Each plugin type should have a unique plugin name, which must be a NULL-terminated string of arbitrary length.

  void* globus_i_ftp_client_plugin_t::plugin_specific
This pointer is reserved for plugin-specific data

Author

Generated automatically by Doxygen for globus_ftp_client from the source code.